import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support_for_wearecg12/healthrian_ble_support_for_wearecg12.dart';
import 'package:healthrian_visualization_support/healthrian_visualization_support.dart';

class BlePage extends StatelessWidget {
  const BlePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: ListView(
        children: [
          Observer(
            key: UniqueKey(),
            builder: (context) {
              return StreamBuilder(
                stream: BLEManager().streams.heartRateStream,
                builder: (context, snapshot) {
                  if (!snapshot.hasData) return const Text('No Stream');
                  return Text(snapshot.data.toString());
                },
              );
            },
          ),

          /// /////////////////////////////////////////////////////
          // Observer(
          //   key: UniqueKey(),
          //   builder: (context) {
          //     return StreamBuilder(
          //       stream: BLEManager().streams.bufferedPlotRTStreamQ1,
          //       builder: (context, snapshot) {
          //         if(snapshot.connectionState != ConnectionState.active) {
          //           return const Text('No Stream');
          //         }
          //         return Text(snapshot.data!.l1[snapshot.data!.pivot.toInt()].toString());
          //         return Text(snapshot.data!.pivot.toString());
          //       },
          //     );
          //   },
          // ),
          // Observer(
          //   key: UniqueKey(),
          //   builder: (context) {
          //     return StreamBuilder(
          //       stream: BLEManager().streams.bufferedPlotRTStreamQ2,
          //       builder: (context, snapshot) {
          //         if(snapshot.connectionState != ConnectionState.active) {
          //           return const Text('No Stream');
          //         }
          //         return Text(snapshot.data!.l1[snapshot.data!.pivot.toInt()].toString());
          //         return Text(snapshot.data!.pivot.toString());
          //       },
          //     );
          //   },
          // ),
          // Observer(
          //   key: UniqueKey(),
          //   builder: (context) {
          //     return StreamBuilder(
          //       stream: BLEManager().streams.bufferedPlotRTStreamQ3,
          //       builder: (context, snapshot) {
          //         if(snapshot.connectionState != ConnectionState.active) {
          //           return const Text('No Stream');
          //         }
          //         return Text(snapshot.data!.l1[snapshot.data!.pivot.toInt()].toString());
          //         return Text(snapshot.data!.pivot.toString());
          //       },
          //     );
          //   },
          // ),
          // Observer(
          //   key: UniqueKey(),
          //   builder: (context) {
          //     return StreamBuilder(
          //       stream: BLEManager().streams.bufferedPlotRTStreamQ4,
          //       builder: (context, snapshot) {
          //         if(snapshot.connectionState != ConnectionState.active) {
          //           return const Text('No Stream');
          //         }
          //         return Text(snapshot.data!.l1[snapshot.data!.pivot.toInt()].toString());
          //         return Text(snapshot.data!.pivot.toString());
          //       },
          //     );
          //   },
          // ),
          // for(final index in Iterable<int>.generate(12))
          // EcgWearECG(
          //   wrapperWidget: (children) {
          //     return children[index];
          //   },
          // ),
          // EcgWearECG(
          //   wrapperWidget: (children) {
          //     return children[4];
          //   },
          // ),
          // EcgWearECG(
          //   wrapperWidget: (children) {
          //     return children[5];
          //   },
          // ),
          const EcgWearECG(),
          // const EcgWearECGQuarter(),

          MaterialButton(onPressed: (){
            BLEManager().isFilteredEcg = true;
            BLEManager().lengthBufferStreamEcg = 5 * 250 ~/2;
            BLEManager().maxBufferStreamEcg = 5 * 250 ~/2;
            BLEManager().screenBufferStreamingEcg = 5 * 250;
          }, child: const Text('Set'),),
        ],
      ),
      floatingActionButton: const ControlPanelWearECG(),
    );
  }
}
